package gov.va.med.fw.security;

import gov.va.med.fw.service.ServiceException;

/**
 * This exception is thrown when there is an error while generating key of
 * encryption/decryption.
 * 
 * @author Muddaiah Ranga
 * @version 3.0
 * 
 */
public class EncryptionServiceException extends ServiceException {
	/**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = -7611374197697515070L;

	public EncryptionServiceException(String pMessage) {
		super(pMessage);
	}

	public EncryptionServiceException(String pMessage, Exception pPreviousException) {
		super(pMessage, pPreviousException);
	}
}
